package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglXfwg;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TbJcglXfwgMapper extends BaseMapper<TbJcglXfwg> {

    @ApiOperation("批量删除")
    int deleteBatch(@Param("list") List<String> list);

    @ApiOperation("新增")
    int insertEntity(TbJcglXfwg xfwg);

    @ApiOperation("修改")
    int updateEntity(TbJcglXfwg xfwg);
}
